Subject: bug#15041: closed (Re: bug#15041: info df: typo "pseude" (pseudo))

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 07 Aug 2013 08:43:02 +0000

Your bug report

#15041: info df: typo "pseude" (pseudo)

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
15041: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15041
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#15041: info df: typo "pseude" (pseudo)
From: Bernhard Voelker <[email-masked]>
To: Filipus Klutiero <[email-masked]>
Cc: [email-masked]
Date: Wed, 07 Aug 2013 10:42:08 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On 08/07/2013 06:41 AM, Filipus Klutiero wrote:
> info df contains:
>> With the same logic, `df' elides a mount entry of a dummy pseude
>> device if there is another mount entry of a real block device for that
>> mount point with the same device number, e.g. the early-boot pseudo
>> file system `rootfs' is not shown per default when already the real
>> root device has been mounted.
> 
> "pseude" should read "pseudo".
> 
> By the way, the page refers in a lot of places to disk space and 
> disks in general. This will need generalization now that SSDs are
> getting mainstream.

Thanks for the report.  I'll push the following patch soon.
I'm marking this bug as "done".

Regarding the use of the word "disk": I think that's a general problem,
because df is not working with "disks" but rather with "file systems".
The underlying hardware (SATA disk, SSD, RAID, whatsoever) is not relevant
here.  I think that needs further discussion.

Have a nice day,
Berny

>From a6e11f386b6cfa788a0bb5839cd375189827c878 Mon Sep 17 00:00:00 2001
From: Bernhard Voelker <[email-masked]>
Date: Wed, 7 Aug 2013 10:29:48 +0200
Subject: [PATCH] doc: fix typo in description of df

* doc/coreutils.texi (df invocation): s/pseude/pseudo/
Fixes http://bugs.gnu.org/15041
---
 doc/coreutils.texi | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/doc/coreutils.texi b/doc/coreutils.texi
index 81bc97f..5139809 100644
--- a/doc/coreutils.texi
+++ b/doc/coreutils.texi
@@ -11054,7 +11054,7 @@ for that device with the shortest mount point name in the list of file systems
 (@var{mtab}), i.e., it hides duplicate entries, unless the @option{-a} option is
 specified.

-With the same logic, @command{df} elides a mount entry of a dummy pseude device
+With the same logic, @command{df} elides a mount entry of a dummy pseudo device
 if there is another mount entry of a real block device for that mount point with
 the same device number, e.g. the early-boot pseudo file system @samp{rootfs} is
 not shown per default when already the real root device has been mounted.
-- 
1.8.3.1

Subject: info df: typo "pseude" (pseudo)
From: Filipus Klutiero <[email-masked]>
To: [email-masked]
Date: Wed, 07 Aug 2013 00:41:49 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

info df contains:
> With the same logic, `df' elides a mount entry of a dummy pseude
> device if there is another mount entry of a real block device for that
> mount point with the same device number, e.g. the early-boot pseudo
> file system `rootfs' is not shown per default when already the real
> root device has been mounted.

"pseude" should read "pseudo".

By the way, the page refers in a lot of places to disk space and disks in general. This will need generalization now that SSDs are getting mainstream.

-- 
Filipus Klutiero
http://www.philippecloutier.com